/*
gcc -o test-gladeBuffer test-gladeBuffer.c $(pkg-config --cflags --libs gtk+-2.0 libglade-2.0 gmodule-export-2.0)
*/

#include <gtk/gtk.h>
#include <glade/glade.h>
#include <string.h>

static const gchar *glade_ui =
    "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>"
    "<!DOCTYPE glade-interface SYSTEM \"glade-2.0.dtd\">"
    "<!--Generated with glade3 3.4.5 on Fri Mar 27 13:24:48 2009 -->"
    "<glade-interface>"
    "  <widget class=\"GtkWindow\" id=\"window1\">"
    "    <signal name=\"destroy\" handler=\"gtk_main_quit\"/>"
    "    <child>"
    "      <placeholder/>"
    "    </child>"
    "  </widget>"
    "</glade-interface>";

int main( int argc, char **argv )
{
    GtkWidget *window;
    GladeXML  *gxml;

    gtk_init( &argc, &argv );

    gxml = glade_xml_new_from_buffer( glade_ui,
                                      strlen( glade_ui ) * sizeof( gchar ),
                                      NULL, NULL );

    window = glade_xml_get_widget( gxml, "window1" );
    glade_xml_signal_autoconnect( gxml );

    g_object_unref( G_OBJECT( gxml ) );

    gtk_widget_show_all( window );

    gtk_main();

    return( 0 );
}
