

#!/bin/sh
# the next line restarts using tclsh \
exec tclsh "$0" "$@"

package require GnoclBuilder


#---------------
# Create a simple layout, a widget with a button.
#---------------
set gladeBuffer {<?xml version="1.0"?>
<glade-interface>
  <requires-version lib="gtk+" version="2.24"/>
  <widget class="GtkWindow" id="window1">
    <property name="window_position">GTK_WIN_POS_CENTER</property>
    <property name="default_width">300</property>
    <property name="default_height">100</property>
    <child>
      <widget class="GtkButton" id="button1">
        <property name="visible">True</property>
        <property name="can_focus">True</property>
        <property name="receives_default">True</property>
        <property name="label" translatable="yes">Close Me!</property>
        <property name="response_id">0</property>
      </widget>
    </child>
  </widget>
</glade-interface>}

#---------------
# Load the buffer.
#---------------
#set glade1_widgets [gnocl::glade buffer $gladeBuffer]

set glade1_widgets [gnocl::glade file ./editor.xml]

#---------------
# Register the widgets using their glade names.
#---------------
foreach item $glade1_widgets {
    foreach {gnocl glade} $item {}
    set $glade $gnocl
}


puts [gnocl::screen geometry]
puts [gnocl::screen size]

#---------------
# Tweak settings, and display.
#---------------
#$button1 configure -onClicked {puts "YOU CLICKED ME!"}
$window1 show -onDestroy {exit}
gnocl::mainLoop

$textview1 configure -onKeyRelease {puts %w}

